Bug 218671 - rhn5 satellite config page unsets server.satellite.rhn_parent
rhn5 satellite config page unsets server.satellite.rhn_parent
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Jesus M. Rodriguez
Brandon Perkins
Depends On:
  Show dependency treegraph
Reported: 2006-12-06 13:00 EST by Matt Domsch
Modified: 2008-10-29 10:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-29 10:21:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2006-12-06 13:00:43 EST
Description of problem:

Somehow /etc/rhn/rhn.conf server.satellite.rhn_parent got unset.  I believe this
was when I was using the web interface
to enter the proxy information.  With this field set to '', of course it won't
work.  The default value in /etc/rhn/default/rhn_server_satellite.conf is set to
rhn_parent = satellite.rhn.redhat.com, but default/rhn_web.conf contains:
server.satellite.rhn_parent =
which is probably where the incorrect setting is coming from.

I removed
/etc/rhn/rhn.conf server.satellite.rhn_parent =
and it started working again.

Please figure out why rhn_parent was getting overridden incorrectly.
Comment 1 Red Hat Bugzilla 2007-04-11 22:01:05 EDT
User bnackash@redhat.com's account has been closed
Comment 2 Matt Domsch 2008-10-29 10:21:49 EDT
These have been open for years with no investigation or resolution.  Since then the code base has moved on significantly, such that many of these no longer would apply to the current spacewalk code.  I'm closing these requests in the hope they're no longer necessary, or if they are, they'll get discovered anew.

Note You need to log in before you can comment on or make changes to this bug.